import 'package:get/get.dart';
import 'package:sk_base_mobile/models/sale_quotation.model.dart';

class SaleQuotationController extends GetxController {
  static SaleQuotationController get to => Get.find();
  final RxList editingcell = RxList([null, null, null]);
  RxList<SaleQuotationItemModel> products = RxList([
    SaleQuotationItemModel(name: '矿用本安型支架控制器', unit: '台', spec: 'ZDYZ-Z'),
    SaleQuotationItemModel(name: '矿用本安型电磁阀驱动器'),
    SaleQuotationItemModel(name: '矿用隔爆兼本安型电源'),
    SaleQuotationItemModel(name: '矿用本安型隔离耦合器'),
    SaleQuotationItemModel(name: '钢丝编织橡胶护套连接器'),
    SaleQuotationItemModel(name: '钢丝编织橡胶护套连接器', remark: '控制器-控制器'),
    SaleQuotationItemModel(name: '钢丝编织橡胶护套连接器', remark: '控制器-驱动器'),
    SaleQuotationItemModel(name: '钢丝编织橡胶护套连接器', remark: '控制器-隔离耦合器'),
    SaleQuotationItemModel(name: '矿用本安型支架无线遥控器'),
    SaleQuotationItemModel(name: '矿用隔爆兼本安型电源'),
    SaleQuotationItemModel(name: '电液换向阀(10功能10接口)', remark: '中间过渡架主阀组'),
    SaleQuotationItemModel(name: '电液换向阀(20功能20接口)', remark: '端头架主阀组'),
    SaleQuotationItemModel(name: '自动反冲洗过滤装置', remark: '流量:900L/min,过滤精度25μm'),
    SaleQuotationItemModel(name: '全自动反冲洗过滤器电缆', remark: '控制器-自动反冲洗'),
    SaleQuotationItemModel(name: '矿用本安型位移传感器'),
    SaleQuotationItemModel(name: '矿用本安型压力传感器'),
    SaleQuotationItemModel(name: '矿用本安型红外发射器'),
    SaleQuotationItemModel(name: '矿用本安型LED信号灯'),
    SaleQuotationItemModel(name: '倾角传感器'),
    SaleQuotationItemModel(name: '各类安装附件'),
  ]);
  RxList<SaleQuotationModel> groups = RxList<SaleQuotationModel>([]);
  @override
  void onReady() {
    groups.assignAll([
      SaleQuotationModel(name: '中间过渡架电控部分', items: products),
      SaleQuotationModel(name: '端头架电控部分', items: products),
      SaleQuotationModel(name: '主阀部分', items: products),
      SaleQuotationModel(name: '自动反冲洗过滤器部分', items: products),
      SaleQuotationModel(name: '位移测量部分', items: products),
      SaleQuotationModel(name: '压力检测部分', items: products),
      SaleQuotationModel(name: '煤机定位部分', items: products),
      SaleQuotationModel(name: '姿态检测部分', items: products),
    ]);

    super.onReady();
  }
}
