import 'package:get/get_rx/src/rx_types/rx_types.dart';

class SaleQuotationModel {
  final String name;
  RxBool isExpanded = true.obs;
  List<SaleQuotationItemModel> items;
  SaleQuotationModel({required this.name, required this.items});
}

class SaleQuotationItemModel {
  final String name;
  // 规格
  final String? spec;
  final String? unit;
  final String? remark;
  // 成本
  final double cost;
  final int quantity;
  final double amount;
  SaleQuotationItemModel(
      {required this.name,
      this.spec,
      this.unit,
      this.remark,
      this.cost = 0,
      this.quantity = 0,
      this.amount = 0});
}
